org.baraza.server.sms

## Class BSoapSMS

- java.lang.Object
- - org.baraza.server.sms.BSoapSMS

-     public class BSoapSMS
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BSoapSMS(BDB db, BElement node, BLogHandle logHandle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getDelay()`
    `String` | `getResp(SOAPMessage response)`
    `boolean` | `isExecuting()`
    `int` | `process()`
    `void` | `sendMessage()`
    `boolean` | `sendSMS(String number, String message, String linkId, String smsID, String orgID, boolean isRetry)`
    `String` | `sendSMS(String number, String message, String linkId, String smsID, String orgID, String correlator)`
    `void` | `smsReceive(String registrationIdentifier, String orgID)`
    `void` | `smsStatus(String number, String requestIdentifier, String orgID)`
    `void` | `startListener(String smsReceiver, String orgID)`
    `void` | `stopListener(String orgID)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BSoapSMS

          public BSoapSMS(BDB db,
                  BElement node,
                  BLogHandle logHandle)

  - ### Method Detail

    - #### getDelay

          public int getDelay()

    - #### process

          public int process()

    - #### sendMessage

          public void sendMessage()

    - #### sendSMS

          public boolean sendSMS(String number,
                        String message,
                        String linkId,
                        String smsID,
                        String orgID,
                        boolean isRetry)

    - #### sendSMS

          public String sendSMS(String number,
                       String message,
                       String linkId,
                       String smsID,
                       String orgID,
                       String correlator)

    - #### smsStatus

          public void smsStatus(String number,
                       String requestIdentifier,
                       String orgID)

    - #### smsReceive

          public void smsReceive(String registrationIdentifier,
                        String orgID)

    - #### startListener

          public void startListener(String smsReceiver,
                           String orgID)

    - #### stopListener

          public void stopListener(String orgID)

    - #### getResp

          public String getResp(SOAPMessage response)

    - #### isExecuting

          public boolean isExecuting()

    - #### close

          public void close()

Copyright © 2016 openBaraza. All Rights Reserved.